<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- IBM UrbanCode Deploy
- IBM UrbanCode Release
- IBM AnthillPro
- (c) Copyright IBM Corporation 2002, 2013. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
        
  <migrate to-version="7">
    <migrate-command name="Check Approval Status"/>
    <migrate-command name="Check Change Request Status"/>
    <migrate-command name="Set Change Request Status"/>
    <migrate-command name="Check Change Request's Child Tasks Statuses"/>
    <migrate-command name="Update Tasks Statuses"/>
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Check Approval Status"/>
    <migrate-command name="Check Change Request Status"/>
    <migrate-command name="Set Change Request Status"/>
    <migrate-command name="Check Change Request's Child Tasks Statuses"/>
    <migrate-command name="Update Tasks Statuses"/>
    <migrate-command name="Insert Row Into CMDB Table"/>
    <migrate-command name="Delete Row From CMDB Table"/>
    <migrate-command name="Delete Multiple Rows From CMDB Table"/>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Check Approval Status">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Check Change Request Status">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Set Change Request Status">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Check Change Request's Child Tasks Statuses">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Update Tasks Statuses">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Insert Row Into CMDB Table">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Row From CMDB Table">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete Multiple Rows From CMDB Table">
      <migrate-properties>
         <migrate-property name="newAPI" default="false"/>
       </migrate-properties>
    </migrate-command>
  </migrate> 
  
</plugin-upgrade>
